Skip to content

Hardware

All operations require authentication.

3 operationsv1/overTheBox/hardware
Agent setup

List OverTheBox hardwareProduction

GET
/1.0/overTheBox/hardware

List OverTheBox hardware. Returns the names of the OverTheBox hardware of the account. Get a hardware for its model, serial and MAC address.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/hardware \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an OverTheBox hardwareProduction

GET
/1.0/overTheBox/hardware/{hardwareName}

Get an OverTheBox hardware. Returns the name, model, serial and MAC address of a hardware, and whether it can be linked to a service without a device ID.

Path parameters

hardwareName
required
string

The internal name of your hardware

Response

200HardwareWithIAMsuccessful operation
canBeLinkedToService
read-only
boolean

True if hardware can be linked to a service without deviceID

iam
read-only
ResourceMetadata

IAM resource metadata

mac
read-only
macAddress

Hardware MAC address

model
read-only
string

Hardware model

name
read-only
string

Hardware name

prettyModelName
read-only
string

The hardware pretty model name

serial
read-only
string

Hardware serial

Example uses hardwareName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/hardware/{hardwareName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canBeLinkedToService": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "mac": "00:00:5e:00:53:01", "model": "string", "name": "string", "prettyModelName": "string", "serial": "string"}

List the hardware available for a serviceProduction

GET
/1.0/overTheBox/hardware/available

List the hardware available for a service. Returns the names of the OverTheBox hardware of the account that can be linked to a service.

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/hardware/available \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]